#ifndef ALBUM_H
#define ALBUM_H
/*---------------------------------------------------------------------------*
 *
 * Project:	fXPlayMidi
 *
 * $RCSfile: album.h,v $
 * $Date: 1997/09/14 01:26:29 $
 * $Author: klmcw $
 * $Revision: 1.4 $
 *
 *---------------------------------------------------------------------------*
 * $Log: album.h,v $
 * Revision 1.4  1997/09/14 01:26:29  klmcw
 * Added proto for albumReadPath.
 *
 * Revision 1.3  1996/03/19 13:54:52  klmcw
 * Made albumPathFind() visible across all modules.
 *
 * Revision 1.2  1996/03/09 08:20:35  klmcw
 * Added firsttime special case to prompt for options when they don't exist yet.
 * Added code to save album upon exit if it has changed.
 *
 * Revision 1.1  1996/02/26 02:22:53  klmcw
 * Initial revision
 *
 *---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*/
#include "fXPlayMidi.h"

FL_OBJECT  *albumBrp          (XPMApp_t *);

const char *albumCurrentGet   (void);
void        albumCurrentSet   (const char *);

void        albumFileAdd      (XPMApp_t *, const char *);
void        albumFileRemove   (XPMApp_t *, int);

int         albumIsModified   (void);

const char *albumLineGet      (XPMApp_t *, int);

int         albumLineNumCurr  (XPMApp_t *);
int         albumLineNumNext  (XPMApp_t *);
int         albumLineNumRandom(XPMApp_t *);

const char *albumPathFind     (XPMApp_t *);

void        albumPlay         (XPMApp_t *);
int         albumRead         (XPMApp_t *, const char *);
int         albumReadPath     (XPMApp_t *, const char *);
void        albumSelect       (XPMApp_t *, int);
int         albumWrite        (XPMApp_t *);
/*---------------------------------------------------------------------------*/
#endif
